Bug 11236 - crash in rpc_server when altering dcerpc context with unregistered endpoint uuid
crash in rpc_server when altering dcerpc context with unregistered endpoint uuid
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
unspecified
All All
: P5 major
: ---
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on: 11225
Blocks: 11226
  Show dependency treegraph
 
Reported: 2015-04-24 10:30 UTC by Julien Kerihuel
Modified: 2016-07-30 01:17 UTC (History)
3 users (show)

See Also:


Attachments
patch that fixes the issue described (1.15 KB, patch)
2015-04-24 10:30 UTC, Julien Kerihuel
no flags Details
git-am fix for master. (5.26 KB, patch)
2015-04-24 20:24 UTC, Jeremy Allison
no flags Details
git-am cherry-pick from master for 4.2.next. (5.51 KB, patch)
2015-04-27 21:03 UTC, Jeremy Allison
asn: review+
Details
git-am cherry-pick from master for 4.1.next. (5.45 KB, patch)
2015-04-27 21:21 UTC, Jeremy Allison
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Kerihuel 2015-04-24 10:30:18 UTC
Created attachment 10984 [details]
patch that fixes the issue described

When a dcerpc context is altered and an unknown endpoint uuid is asked, it leads to a crash in Samba.

When an endpoint is not registered or unknown, the dcesrv_alter function does not return directly but instead set the result and reason. Further calls were not honoring the check on result leading to the crash.

The patch attached to this ticket fixes the problem.

This commits responsible for introducing this crash are:
https://bugzilla.samba.org/show_bug.cgi?id=11225
https://bugzilla.samba.org/show_bug.cgi?id=11226
Comment 1 Jeremy Allison 2015-04-24 20:24:02 UTC
Created attachment 10986 [details]
git-am fix for master.

Julian, I like this much better. Can you test and let me know if it also fixes your problem ?

Jeremy.
Comment 2 Karolin Seeger 2015-04-27 19:58:36 UTC
I need review flags as soon as possible to get this one in 4.1.18! Thanks!
Comment 3 Jeremy Allison 2015-04-27 21:03:34 UTC
Created attachment 10993 [details]
git-am cherry-pick from master for 4.2.next.
Comment 4 Jeremy Allison 2015-04-27 21:21:01 UTC
Created attachment 10994 [details]
git-am cherry-pick from master for 4.1.next.
Comment 5 Karolin Seeger 2015-05-04 18:35:14 UTC
Andreas (or anyone else), could you please grant review?
Otherwise, I need to delay the release again.
Thanks!
Comment 6 Karolin Seeger 2015-05-05 07:42:50 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 7 Andrew Bartlett 2016-07-30 01:17:44 UTC
Fixed in Samba 4.1 with c8509227db612c9fa4c2b01d9c6f539357752ac2 from master commit 49030649db3dfec5a9bc03e5dde4255a14499f16.